<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: scconf.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7a879d24cd3db3969353e5fb0ef35f10.html">scconf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">scconf.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="scconf_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__entry.html">_scconf_entry</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__list.html">_scconf_list</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__item.html">_scconf_item</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__block.html">_scconf_block</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structscconf__context.html">scconf_context</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aa3d7a853fc4de1da92b869b434444cfb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aa3d7a853fc4de1da92b869b434444cfb">SCCONF_PRESENT</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="separator:aa3d7a853fc4de1da92b869b434444cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a227fca1be5ffbe20f3e7115a00e8c7d4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a227fca1be5ffbe20f3e7115a00e8c7d4">SCCONF_MANDATORY</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="separator:a227fca1be5ffbe20f3e7115a00e8c7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e278abdf4e6219b004223e3d786577e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a4e278abdf4e6219b004223e3d786577e">SCCONF_ALLOC</a>&#160;&#160;&#160;0x00000004</td></tr>
<tr class="separator:a4e278abdf4e6219b004223e3d786577e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9f05b0ea1beed4b79994d5f2ea027a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#ae9f05b0ea1beed4b79994d5f2ea027a3">SCCONF_ALL_BLOCKS</a>&#160;&#160;&#160;0x00000008</td></tr>
<tr class="separator:ae9f05b0ea1beed4b79994d5f2ea027a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6013183490843fdd8623853175a19468"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a6013183490843fdd8623853175a19468">SCCONF_VERBOSE</a>&#160;&#160;&#160;0x00000010	/* For debugging purposes only */</td></tr>
<tr class="separator:a6013183490843fdd8623853175a19468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e14b5ece963515a1b83c855c0e23c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a82e14b5ece963515a1b83c855c0e23c1">SCCONF_CALLBACK</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a82e14b5ece963515a1b83c855c0e23c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6133521cf1a9e13c39bb3d70dec5f9b3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a6133521cf1a9e13c39bb3d70dec5f9b3">SCCONF_BLOCK</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:a6133521cf1a9e13c39bb3d70dec5f9b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73301309d4e2fae647e0cacad10f305f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a73301309d4e2fae647e0cacad10f305f">SCCONF_LIST</a>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a73301309d4e2fae647e0cacad10f305f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe880248960e5680c63e3a4ecdc3ea6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#abe880248960e5680c63e3a4ecdc3ea6a">SCCONF_BOOLEAN</a>&#160;&#160;&#160;11</td></tr>
<tr class="separator:abe880248960e5680c63e3a4ecdc3ea6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43d3572cfb467a8d41a4bfccfe091d90"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a43d3572cfb467a8d41a4bfccfe091d90">SCCONF_INTEGER</a>&#160;&#160;&#160;12</td></tr>
<tr class="separator:a43d3572cfb467a8d41a4bfccfe091d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a090e094f84487e89755dbe82c6b12057"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a090e094f84487e89755dbe82c6b12057">SCCONF_STRING</a>&#160;&#160;&#160;13</td></tr>
<tr class="separator:a090e094f84487e89755dbe82c6b12057"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18c56299c4b5189ed5c0ce24757c4a79"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a18c56299c4b5189ed5c0ce24757c4a79">SCCONF_ITEM_TYPE_COMMENT</a>&#160;&#160;&#160;0	/* key = NULL, comment */</td></tr>
<tr class="separator:a18c56299c4b5189ed5c0ce24757c4a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0950c0ad81139510dfc4a1c9e711b866"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a0950c0ad81139510dfc4a1c9e711b866">SCCONF_ITEM_TYPE_BLOCK</a>&#160;&#160;&#160;1	/* key = key, block */</td></tr>
<tr class="separator:a0950c0ad81139510dfc4a1c9e711b866"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afec03a8f44af732ffe0e992bb62cfce0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#afec03a8f44af732ffe0e992bb62cfce0">SCCONF_ITEM_TYPE_VALUE</a>&#160;&#160;&#160;2	/* key = key, list */</td></tr>
<tr class="separator:afec03a8f44af732ffe0e992bb62cfce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aef840455dccc4ab6d13294b2877a0986"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct__scconf__entry.html">_scconf_entry</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aef840455dccc4ab6d13294b2877a0986">scconf_entry</a></td></tr>
<tr class="separator:aef840455dccc4ab6d13294b2877a0986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1a6aa691197930df0da465dabadbc7d"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct__scconf__block.html">_scconf_block</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a></td></tr>
<tr class="separator:aa1a6aa691197930df0da465dabadbc7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8f1073e79bcffa437a0050fad1a2b06"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct__scconf__list.html">_scconf_list</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a></td></tr>
<tr class="separator:aa8f1073e79bcffa437a0050fad1a2b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a447deee631fbbcfd4736954f957faee2"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct__scconf__item.html">_scconf_item</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a></td></tr>
<tr class="separator:a447deee631fbbcfd4736954f957faee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa6af95185d97705bd16b2352a7085dd5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aa6af95185d97705bd16b2352a7085dd5">scconf_new</a> (const char *filename)</td></tr>
<tr class="separator:aa6af95185d97705bd16b2352a7085dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eec7e86ab0151ef1be5718ec01088f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a7eec7e86ab0151ef1be5718ec01088f8">scconf_free</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config)</td></tr>
<tr class="separator:a7eec7e86ab0151ef1be5718ec01088f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af464702b43c5ff303ebbde427a6f66ba"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#af464702b43c5ff303ebbde427a6f66ba">scconf_parse</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config)</td></tr>
<tr class="separator:af464702b43c5ff303ebbde427a6f66ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a871df157bcfd14791814d8a2f373598d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a871df157bcfd14791814d8a2f373598d">scconf_parse_string</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config, const char *string)</td></tr>
<tr class="separator:a871df157bcfd14791814d8a2f373598d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af43e08f4b56609d353887b3bc3e1181b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#af43e08f4b56609d353887b3bc3e1181b">scconf_parse_entries</a> (const <a class="el" href="structscconf__context.html">scconf_context</a> *config, const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, <a class="el" href="scconf_8h.html#aef840455dccc4ab6d13294b2877a0986">scconf_entry</a> *entry)</td></tr>
<tr class="separator:af43e08f4b56609d353887b3bc3e1181b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1227ae9b24743629b9996b2f4af30083"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a1227ae9b24743629b9996b2f4af30083">scconf_write</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config, const char *filename)</td></tr>
<tr class="separator:a1227ae9b24743629b9996b2f4af30083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1122f8661ba0177249d248188ba25c18"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a1122f8661ba0177249d248188ba25c18">scconf_write_entries</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config, <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, <a class="el" href="scconf_8h.html#aef840455dccc4ab6d13294b2877a0986">scconf_entry</a> *entry)</td></tr>
<tr class="separator:a1122f8661ba0177249d248188ba25c18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44356f410df33b5d4566cd7748014402"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a44356f410df33b5d4566cd7748014402">scconf_find_block</a> (const <a class="el" href="structscconf__context.html">scconf_context</a> *config, const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *item_name)</td></tr>
<tr class="separator:a44356f410df33b5d4566cd7748014402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea883f7131774fcff6ea1dbabd74c963"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aea883f7131774fcff6ea1dbabd74c963">scconf_find_blocks</a> (const <a class="el" href="structscconf__context.html">scconf_context</a> *config, const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *item_name, const char *key)</td></tr>
<tr class="separator:aea883f7131774fcff6ea1dbabd74c963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03e68e156734f70e0c8d100f47825d98"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a03e68e156734f70e0c8d100f47825d98">scconf_find_list</a> (const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option)</td></tr>
<tr class="separator:a03e68e156734f70e0c8d100f47825d98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab915bae0be5ebaca910513630c5d6e81"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#ab915bae0be5ebaca910513630c5d6e81">scconf_get_str</a> (const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option, const char *def)</td></tr>
<tr class="separator:ab915bae0be5ebaca910513630c5d6e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb62022f2fff253f39f1078dacf42f32"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#aeb62022f2fff253f39f1078dacf42f32">scconf_get_int</a> (const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option, int def)</td></tr>
<tr class="separator:aeb62022f2fff253f39f1078dacf42f32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2d4577c50dd488789375a15c8bb189d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#ac2d4577c50dd488789375a15c8bb189d">scconf_get_bool</a> (const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option, int def)</td></tr>
<tr class="separator:ac2d4577c50dd488789375a15c8bb189d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7704845802ec646d79a1e1975d69483f"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a7704845802ec646d79a1e1975d69483f">scconf_put_str</a> (<a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option, const char *value)</td></tr>
<tr class="separator:a7704845802ec646d79a1e1975d69483f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1965c4a7adddaf1672a98d880bd6c21"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#ab1965c4a7adddaf1672a98d880bd6c21">scconf_put_int</a> (<a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option, int value)</td></tr>
<tr class="separator:ab1965c4a7adddaf1672a98d880bd6c21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86a492b8747e032923064cc23de2f1b1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a86a492b8747e032923064cc23de2f1b1">scconf_put_bool</a> (<a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *option, int value)</td></tr>
<tr class="separator:a86a492b8747e032923064cc23de2f1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac67f138d996c47a8385dd6b0d6cc72a9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#ac67f138d996c47a8385dd6b0d6cc72a9">scconf_block_add</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config, <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, const char *key, const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *name)</td></tr>
<tr class="separator:ac67f138d996c47a8385dd6b0d6cc72a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3725160579285f52c16db9658e668979"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a3725160579285f52c16db9658e668979">scconf_block_copy</a> (const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *src, <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> **dst)</td></tr>
<tr class="separator:a3725160579285f52c16db9658e668979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4da19211d35bbe397777b33d4f83137a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a4da19211d35bbe397777b33d4f83137a">scconf_block_destroy</a> (<a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block)</td></tr>
<tr class="separator:a4da19211d35bbe397777b33d4f83137a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad91ebfa84fe6f6e20a513c6a8fc35de5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#ad91ebfa84fe6f6e20a513c6a8fc35de5">scconf_item_add</a> (<a class="el" href="structscconf__context.html">scconf_context</a> *config, <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *block, <a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *item, int type, const char *key, const void *data)</td></tr>
<tr class="separator:ad91ebfa84fe6f6e20a513c6a8fc35de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a2f9633f667675f98dfb2fc220dfc10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a0a2f9633f667675f98dfb2fc220dfc10">scconf_item_copy</a> (const <a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *src, <a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> **dst)</td></tr>
<tr class="separator:a0a2f9633f667675f98dfb2fc220dfc10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f0f7912d88f836e7553ff489e80892d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a3f0f7912d88f836e7553ff489e80892d">scconf_item_destroy</a> (<a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *item)</td></tr>
<tr class="separator:a3f0f7912d88f836e7553ff489e80892d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1067cec0efd2bbaa3a66016bbc342d72"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a1067cec0efd2bbaa3a66016bbc342d72">scconf_list_add</a> (<a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> **list, const char *value)</td></tr>
<tr class="separator:a1067cec0efd2bbaa3a66016bbc342d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb8e0bc1859a8545ce57d99c9c4087b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a7fb8e0bc1859a8545ce57d99c9c4087b">scconf_list_copy</a> (const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *src, <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> **dst)</td></tr>
<tr class="separator:a7fb8e0bc1859a8545ce57d99c9c4087b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abed028d5efec452b8c2a66ed574e13c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#abed028d5efec452b8c2a66ed574e13c5">scconf_list_destroy</a> (<a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *list)</td></tr>
<tr class="separator:abed028d5efec452b8c2a66ed574e13c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ba3f9b01650f48f7f663054f55e3aa1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a7ba3f9b01650f48f7f663054f55e3aa1">scconf_list_array_length</a> (const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *list)</td></tr>
<tr class="separator:a7ba3f9b01650f48f7f663054f55e3aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc8908fbac17d11da159c5d1f9345dde"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#adc8908fbac17d11da159c5d1f9345dde">scconf_list_strings_length</a> (const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *list)</td></tr>
<tr class="separator:adc8908fbac17d11da159c5d1f9345dde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe1c8e7c60852a3446e631fd4eeb4644"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#afe1c8e7c60852a3446e631fd4eeb4644">scconf_list_strdup</a> (const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *list, const char *filler)</td></tr>
<tr class="separator:afe1c8e7c60852a3446e631fd4eeb4644"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bf939fee559def4804f767a571c0002"><td class="memItemLeft" align="right" valign="top">const char **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="scconf_8h.html#a6bf939fee559def4804f767a571c0002">scconf_list_toarray</a> (const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *list)</td></tr>
<tr class="separator:a6bf939fee559def4804f767a571c0002"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ae9f05b0ea1beed4b79994d5f2ea027a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9f05b0ea1beed4b79994d5f2ea027a3">&#9670;&nbsp;</a></span>SCCONF_ALL_BLOCKS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_ALL_BLOCKS&#160;&#160;&#160;0x00000008</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00043">43</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a4e278abdf4e6219b004223e3d786577e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e278abdf4e6219b004223e3d786577e">&#9670;&nbsp;</a></span>SCCONF_ALLOC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_ALLOC&#160;&#160;&#160;0x00000004</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00042">42</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a6133521cf1a9e13c39bb3d70dec5f9b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6133521cf1a9e13c39bb3d70dec5f9b3">&#9670;&nbsp;</a></span>SCCONF_BLOCK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_BLOCK&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00048">48</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="abe880248960e5680c63e3a4ecdc3ea6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe880248960e5680c63e3a4ecdc3ea6a">&#9670;&nbsp;</a></span>SCCONF_BOOLEAN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_BOOLEAN&#160;&#160;&#160;11</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00051">51</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a82e14b5ece963515a1b83c855c0e23c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82e14b5ece963515a1b83c855c0e23c1">&#9670;&nbsp;</a></span>SCCONF_CALLBACK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_CALLBACK&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00047">47</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a43d3572cfb467a8d41a4bfccfe091d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43d3572cfb467a8d41a4bfccfe091d90">&#9670;&nbsp;</a></span>SCCONF_INTEGER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_INTEGER&#160;&#160;&#160;12</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00052">52</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a0950c0ad81139510dfc4a1c9e711b866"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0950c0ad81139510dfc4a1c9e711b866">&#9670;&nbsp;</a></span>SCCONF_ITEM_TYPE_BLOCK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_ITEM_TYPE_BLOCK&#160;&#160;&#160;1	/* key = key, block */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00063">63</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a18c56299c4b5189ed5c0ce24757c4a79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18c56299c4b5189ed5c0ce24757c4a79">&#9670;&nbsp;</a></span>SCCONF_ITEM_TYPE_COMMENT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_ITEM_TYPE_COMMENT&#160;&#160;&#160;0	/* key = NULL, comment */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00062">62</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="afec03a8f44af732ffe0e992bb62cfce0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afec03a8f44af732ffe0e992bb62cfce0">&#9670;&nbsp;</a></span>SCCONF_ITEM_TYPE_VALUE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_ITEM_TYPE_VALUE&#160;&#160;&#160;2	/* key = key, list */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00064">64</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a73301309d4e2fae647e0cacad10f305f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73301309d4e2fae647e0cacad10f305f">&#9670;&nbsp;</a></span>SCCONF_LIST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_LIST&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00049">49</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a227fca1be5ffbe20f3e7115a00e8c7d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a227fca1be5ffbe20f3e7115a00e8c7d4">&#9670;&nbsp;</a></span>SCCONF_MANDATORY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_MANDATORY&#160;&#160;&#160;0x00000002</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00041">41</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="aa3d7a853fc4de1da92b869b434444cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3d7a853fc4de1da92b869b434444cfb">&#9670;&nbsp;</a></span>SCCONF_PRESENT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_PRESENT&#160;&#160;&#160;0x00000001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00040">40</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a090e094f84487e89755dbe82c6b12057"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a090e094f84487e89755dbe82c6b12057">&#9670;&nbsp;</a></span>SCCONF_STRING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_STRING&#160;&#160;&#160;13</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00053">53</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a6013183490843fdd8623853175a19468"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6013183490843fdd8623853175a19468">&#9670;&nbsp;</a></span>SCCONF_VERBOSE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCCONF_VERBOSE&#160;&#160;&#160;0x00000010	/* For debugging purposes only */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00044">44</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="aa1a6aa691197930df0da465dabadbc7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1a6aa691197930df0da465dabadbc7d">&#9670;&nbsp;</a></span>scconf_block</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct__scconf__block.html">_scconf_block</a> <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00055">55</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="aef840455dccc4ab6d13294b2877a0986"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef840455dccc4ab6d13294b2877a0986">&#9670;&nbsp;</a></span>scconf_entry</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct__scconf__entry.html">_scconf_entry</a>  <a class="el" href="scconf_8h.html#aef840455dccc4ab6d13294b2877a0986">scconf_entry</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a447deee631fbbcfd4736954f957faee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a447deee631fbbcfd4736954f957faee2">&#9670;&nbsp;</a></span>scconf_item</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct__scconf__item.html">_scconf_item</a>  <a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa8f1073e79bcffa437a0050fad1a2b06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8f1073e79bcffa437a0050fad1a2b06">&#9670;&nbsp;</a></span>scconf_list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct__scconf__list.html">_scconf_list</a>  <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac67f138d996c47a8385dd6b0d6cc72a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac67f138d996c47a8385dd6b0d6cc72a9">&#9670;&nbsp;</a></span>scconf_block_add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* scconf_block_add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3725160579285f52c16db9658e668979"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3725160579285f52c16db9658e668979">&#9670;&nbsp;</a></span>scconf_block_copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* scconf_block_copy </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> **&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4da19211d35bbe397777b33d4f83137a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4da19211d35bbe397777b33d4f83137a">&#9670;&nbsp;</a></span>scconf_block_destroy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void scconf_block_destroy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44356f410df33b5d4566cd7748014402"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44356f410df33b5d4566cd7748014402">&#9670;&nbsp;</a></span>scconf_find_block()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* scconf_find_block </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>item_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea883f7131774fcff6ea1dbabd74c963"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea883f7131774fcff6ea1dbabd74c963">&#9670;&nbsp;</a></span>scconf_find_blocks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>** scconf_find_blocks </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>item_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a03e68e156734f70e0c8d100f47825d98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03e68e156734f70e0c8d100f47825d98">&#9670;&nbsp;</a></span>scconf_find_list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a>* scconf_find_list </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7eec7e86ab0151ef1be5718ec01088f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eec7e86ab0151ef1be5718ec01088f8">&#9670;&nbsp;</a></span>scconf_free()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void scconf_free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac2d4577c50dd488789375a15c8bb189d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2d4577c50dd488789375a15c8bb189d">&#9670;&nbsp;</a></span>scconf_get_bool()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_get_bool </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>def</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb62022f2fff253f39f1078dacf42f32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb62022f2fff253f39f1078dacf42f32">&#9670;&nbsp;</a></span>scconf_get_int()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_get_int </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>def</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab915bae0be5ebaca910513630c5d6e81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab915bae0be5ebaca910513630c5d6e81">&#9670;&nbsp;</a></span>scconf_get_str()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* scconf_get_str </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>def</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad91ebfa84fe6f6e20a513c6a8fc35de5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad91ebfa84fe6f6e20a513c6a8fc35de5">&#9670;&nbsp;</a></span>scconf_item_add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a>* scconf_item_add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a2f9633f667675f98dfb2fc220dfc10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a2f9633f667675f98dfb2fc220dfc10">&#9670;&nbsp;</a></span>scconf_item_copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a>* scconf_item_copy </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> **&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f0f7912d88f836e7553ff489e80892d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f0f7912d88f836e7553ff489e80892d">&#9670;&nbsp;</a></span>scconf_item_destroy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void scconf_item_destroy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#a447deee631fbbcfd4736954f957faee2">scconf_item</a> *&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1067cec0efd2bbaa3a66016bbc342d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1067cec0efd2bbaa3a66016bbc342d72">&#9670;&nbsp;</a></span>scconf_list_add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a>* scconf_list_add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> **&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ba3f9b01650f48f7f663054f55e3aa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ba3f9b01650f48f7f663054f55e3aa1">&#9670;&nbsp;</a></span>scconf_list_array_length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_list_array_length </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fb8e0bc1859a8545ce57d99c9c4087b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fb8e0bc1859a8545ce57d99c9c4087b">&#9670;&nbsp;</a></span>scconf_list_copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a>* scconf_list_copy </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> **&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abed028d5efec452b8c2a66ed574e13c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abed028d5efec452b8c2a66ed574e13c5">&#9670;&nbsp;</a></span>scconf_list_destroy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void scconf_list_destroy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe1c8e7c60852a3446e631fd4eeb4644"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe1c8e7c60852a3446e631fd4eeb4644">&#9670;&nbsp;</a></span>scconf_list_strdup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* scconf_list_strdup </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filler</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc8908fbac17d11da159c5d1f9345dde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc8908fbac17d11da159c5d1f9345dde">&#9670;&nbsp;</a></span>scconf_list_strings_length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_list_strings_length </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bf939fee559def4804f767a571c0002"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bf939fee559def4804f767a571c0002">&#9670;&nbsp;</a></span>scconf_list_toarray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char** scconf_list_toarray </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa6af95185d97705bd16b2352a7085dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6af95185d97705bd16b2352a7085dd5">&#9670;&nbsp;</a></span>scconf_new()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structscconf__context.html">scconf_context</a>* scconf_new </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af464702b43c5ff303ebbde427a6f66ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af464702b43c5ff303ebbde427a6f66ba">&#9670;&nbsp;</a></span>scconf_parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_parse </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af43e08f4b56609d353887b3bc3e1181b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af43e08f4b56609d353887b3bc3e1181b">&#9670;&nbsp;</a></span>scconf_parse_entries()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_parse_entries </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aef840455dccc4ab6d13294b2877a0986">scconf_entry</a> *&#160;</td>
          <td class="paramname"><em>entry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a871df157bcfd14791814d8a2f373598d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a871df157bcfd14791814d8a2f373598d">&#9670;&nbsp;</a></span>scconf_parse_string()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_parse_string </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>string</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86a492b8747e032923064cc23de2f1b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86a492b8747e032923064cc23de2f1b1">&#9670;&nbsp;</a></span>scconf_put_bool()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_put_bool </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1965c4a7adddaf1672a98d880bd6c21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1965c4a7adddaf1672a98d880bd6c21">&#9670;&nbsp;</a></span>scconf_put_int()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_put_int </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7704845802ec646d79a1e1975d69483f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7704845802ec646d79a1e1975d69483f">&#9670;&nbsp;</a></span>scconf_put_str()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* scconf_put_str </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1227ae9b24743629b9996b2f4af30083"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1227ae9b24743629b9996b2f4af30083">&#9670;&nbsp;</a></span>scconf_write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_write </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1122f8661ba0177249d248188ba25c18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1122f8661ba0177249d248188ba25c18">&#9670;&nbsp;</a></span>scconf_write_entries()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_write_entries </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structscconf__context.html">scconf_context</a> *&#160;</td>
          <td class="paramname"><em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;</td>
          <td class="paramname"><em>block</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="scconf_8h.html#aef840455dccc4ab6d13294b2877a0986">scconf_entry</a> *&#160;</td>
          <td class="paramname"><em>entry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
